// Which mode the program should run in?
//
// 0 = Everyone is one model (singleModel)
// 1 = Everyone has a random model from a list (randomModels)
// 2 = Everyone is a completely random model
const mode = 0;

// Should we try to make sure models are replaced
// with another one of the same "type"? (2nd byte)
const sameType = false;

// Singular model to replace when mode is 0
//
// Example: [0x71, 0x08] for Kiryu
const singleModel = [0x71, 0x08];

// List of models to choose randomly from when mode is 1
const randomModels = [
  [0x71, 0x08],
  [0x72, 0x08],
];

// List of base models to exclude from modifications
// Other models can still be replaced *with* that model
//
// Example: If Kiryu's base model is found it will never be changed
// That means Kiryu can't be set to Daigo, but Daigo can still be set to Kiryu
const excludedModels = [
  [0xb6, 0x08],
  [0xb3, 0x08],
];

// Blacklist to prevent models from appearing
// Can also act as a whitelist so *only* those models will appear
const blacklist = {
  isWhitelist: false,
  models: [
    [0x58, 0x08],
    [0x1e, 0x0a],
  ],
};

module.exports = {
  mode,
  sameType,
  singleModel,
  randomModels,
  excludedModels,
  blacklist,
};
